PATCH
/api/v1/ai-assetsUpdate an AI asset
Updates an asset's owner/lifecycle/risk tier.
Authentication
Send Authorization: Bearer YOUR_API_KEY on every request. Generate API keys at /dashboard/api-keys.
Request body required
Example
{
"orgId": "00000000-0000-0000-0000-000000000000",
"id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"kind": "model",
"description": "string",
"owner": "string",
"lifecycleStage": "dev",
"riskTier": "unacceptable",
"fragmentLinks": {
"modelPricingKey": "string",
"vendorId": "string",
"aiSbomId": "string",
"shadowAiSightingId": "string",
"providerId": "string"
},
"tags": [
"string"
]
}Schema
{
"application/json": {
"schema": {
"type": "object",
"properties": {
"orgId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"kind": {
"type": "string",
"enum": [
"model",
"agent",
"application",
"dataset",
"pipeline",
"mcp_server",
"knowledge_base"
]
},
"description": {
"nullable": true,
"type": "string",
"maxLength": 4000
},
"owner": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"lifecycleStage": {
"type": "string",
"enum": [
"dev",
"staging",
"prod",
"retired"
]
},
"riskTier": {
"type": "string",
"enum": [
"unacceptable",
"high",
"limited",
"minimal"
]
},
"fragmentLinks": {
"type": "object",
"properties": {
"modelPricingKey": {
"type": "string",
"minLength": 1,
"maxLength": 120
},
"vendorId": {
"type": "string",
"minLength": 1,
"maxLength": 120
},
"aiSbomId": {
"type": "string",
"minLength": 1,
"maxLength": 120
},
"shadowAiSightingId": {
"type": "string",
"minLength": 1,
"maxLength": 120
},
"providerId": {
"type": "string",
"minLength": 1,
"maxLength": 120
}
},
"additionalProperties": false
},
"tags": {
"maxItems": 50,
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 60
}
}
},
"required": [
"orgId",
"id"
],
"additionalProperties": false
}
}
}Response
200 example
{
"success": true
}All status codes
200Updated.
400(no description)
401(no description)
403Forbidden — insufficient role for this operation.
429(no description)
Code samples
cURL
curl -X PATCH \
https://evalguard.ai/api/v1/ai-assets \
-H "Authorization: Bearer $EVALGUARD_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "orgId": "00000000-0000-0000-0000-000000000000", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "kind": "model", "description": "string", "owner": "string", "lifecycleStage": "dev", "riskTier": "unacceptable", "fragmentLinks": { "modelPricingKey": "string", "vendorId": "string", "aiSbomId": "string", "shadowAiSightingId": "string", "providerId": "string" }, "tags": [ "string" ] }'TypeScript
import { EvalGuard } from "@evalguard/sdk";
const client = new EvalGuard({ apiKey: process.env.EVALGUARD_API_KEY });
const response = await client.request({
method: "PATCH",
path: "/api/v1/ai-assets",
body: {
"orgId": "00000000-0000-0000-0000-000000000000",
"id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"kind": "model",
"description": "string",
"owner": "string",
"lifecycleStage": "dev",
"riskTier": "unacceptable",
"fragmentLinks": {
"modelPricingKey": "string",
"vendorId": "string",
"aiSbomId": "string",
"shadowAiSightingId": "string",
"providerId": "string"
},
"tags": [
"string"
]
},
});
console.log(response);Python
from evalguard import EvalGuard
import os
client = EvalGuard(api_key=os.environ["EVALGUARD_API_KEY"])
response = client.request(
method="PATCH",
path="/api/v1/ai-assets",
body={
"orgId": "00000000-0000-0000-0000-000000000000",
"id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"kind": "model",
"description": "string",
"owner": "string",
"lifecycleStage": "dev",
"riskTier": "unacceptable",
"fragmentLinks": {
"modelPricingKey": "string",
"vendorId": "string",
"aiSbomId": "string",
"shadowAiSightingId": "string",
"providerId": "string"
},
"tags": [
"string"
]
},
)
print(response)Go
package main
import (
"context"
"fmt"
"net/http"
"os"
"strings"
)
func main() {
body := strings.NewReader(`{"orgId":"00000000-0000-0000-0000-000000000000","id":"00000000-0000-0000-0000-000000000000","name":"string","kind":"model","description":"string","owner":"string","lifecycleStage":"dev","riskTier":"unacceptable","fragmentLinks":{"modelPricingKey":"string","vendorId":"string","aiSbomId":"string","shadowAiSightingId":"string","providerId":"string"},"tags":["string"]}`)
req, _ := http.NewRequestWithContext(context.Background(), "PATCH", "https://evalguard.ai/api/v1/ai-assets", body)
req.Header.Set("Authorization", "Bearer "+os.Getenv("EVALGUARD_API_KEY"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { panic(err) }
defer resp.Body.Close()
fmt.Println(resp.Status)
}Errors
400401403429